aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Ses.Commands.GetIdentityNotificationAttributes

Synopsis

- data GetIdentityNotificationAttributes = GetIdentityNotificationAttributes [Text]
- data GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse [IdentityNotificationAttributes]
- data IdentityNotificationAttributes = IdentityNotificationAttributes {
  - inIdentity :: Text
  - inBounceTopic :: Maybe Text
  - inComplaintTopic :: Maybe Text
  - inForwardingEnabled :: Bool
  }

# Documentation

data GetIdentityNotificationAttributes Source #

Get notification settings for the given identities.

Constructors

GetIdentityNotificationAttributes [Text] |

#### Instances

Instances details

SignQuery GetIdentityNotificationAttributes Source # | ServiceConfiguration: `SesConfiguration`

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ServiceConfiguration GetIdentityNotificationAttributes |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration

Methods

signQuery :: GetIdentityNotificationAttributes -> ServiceConfiguration GetIdentityNotificationAttributes queryType -> SignatureData -> SignedQuery Source #

Show GetIdentityNotificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods showsPrec :: Int -> GetIdentityNotificationAttributes -> ShowS Source # show :: GetIdentityNotificationAttributes -> String Source # showList :: [GetIdentityNotificationAttributes] -> ShowS Source #
Eq GetIdentityNotificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods (==) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool Source # (/=) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool Source #
Ord GetIdentityNotificationAttributes Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Methods

compare :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Ordering Source #

(<) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool Source #

(<=) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool Source #

(>) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool Source #

(>=) :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> Bool Source #

max :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes Source #

min :: GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes -> GetIdentityNotificationAttributes Source #

ResponseConsumer GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ResponseMetadata GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityNotificationAttributes -> IORef (ResponseMetadata GetIdentityNotificationAttributesResponse) -> HTTPResponseConsumer GetIdentityNotificationAttributesResponse Source #

Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
type ServiceConfiguration GetIdentityNotificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration

data GetIdentityNotificationAttributesResponse Source #

The response sent back by Amazon SES after a `GetIdentityNotificationAttributes` command.

Constructors

GetIdentityNotificationAttributesResponse [IdentityNotificationAttributes] |

#### Instances

Instances details

AsMemoryResponse GetIdentityNotificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type MemoryResponse GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse

Methods

loadToMemory :: GetIdentityNotificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityNotificationAttributesResponse) Source #

Show GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods showsPrec :: Int -> GetIdentityNotificationAttributesResponse -> ShowS Source # show :: GetIdentityNotificationAttributesResponse -> String Source # showList :: [GetIdentityNotificationAttributesResponse] -> ShowS Source #
Eq GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods (==) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool Source # (/=) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool Source #
Ord GetIdentityNotificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Methods

compare :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Ordering Source #

(<) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool Source #

(<=) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool Source #

(>) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool Source #

(>=) :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> Bool Source #

max :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse Source #

min :: GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse -> GetIdentityNotificationAttributesResponse Source #

ResponseConsumer GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type ResponseMetadata GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

Methods

responseConsumer :: Request -> GetIdentityNotificationAttributes -> IORef (ResponseMetadata GetIdentityNotificationAttributesResponse) -> HTTPResponseConsumer GetIdentityNotificationAttributesResponse Source #

Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
type MemoryResponse GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse
type ResponseMetadata GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata

data IdentityNotificationAttributes Source #

Constructors

IdentityNotificationAttributes |

Fields

- inIdentity :: Text
- inBounceTopic :: Maybe Text
- inComplaintTopic :: Maybe Text
- inForwardingEnabled :: Bool

#### Instances

Instances details

Show IdentityNotificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods showsPrec :: Int -> IdentityNotificationAttributes -> ShowS Source # show :: IdentityNotificationAttributes -> String Source # showList :: [IdentityNotificationAttributes] -> ShowS Source #
Eq IdentityNotificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes Methods (==) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool Source # (/=) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool Source #
Ord IdentityNotificationAttributes Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Methods

compare :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Ordering Source #

(<) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool Source #

(<=) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool Source #

(>) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool Source #

(>=) :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> Bool Source #

max :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> IdentityNotificationAttributes Source #

min :: IdentityNotificationAttributes -> IdentityNotificationAttributes -> IdentityNotificationAttributes Source #